% zadej merena data...

% 1. urceni chyby z cileni

mereni_1 = [
    %   setna   rosta   zdenek  michal
          0.0     0.0     0.0     0.0
          1.4	-12.8     3.8    -1.1
         -0.4	  4.1	 18.5	 -4.9
         -0.3	  8.5	  9.5	 -5.6
          7.3	  7.5	 19.7	 -9.6
         -7.0	  5.7	 17.3	 -4.6
         -5.6     3.1	 11.5	 -5.4
         -6.0     6.1	 16.7	 -2.7
         -5.0     0.7    14.5	-11.7
         -5.0     6.0	 15.8    -5.1
          1.0	 -2.0	 13.9	 -4.9
            ];


% 2. komparace lati    

mereni_2 = [
         %  setna    rosta   zdenek  michal
              0.0     0.0       0.1    0.0      %    0
            -12.3   -12.5     -26.0  -11.1      %  300
            -13.8   -23.7     -27.8  -13.6      %  600
             10.0     2.1      -1.5    5.8      %  900
             10.6     1.6       1.9    8.9      % 1200
             34.0    23.9      22.2   31.4      % 1500
           ];

       
spravna_delka = [
            0
            300
            600
            900
            1200
            1500
            ];
        
%xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
% telo programu...

% urceni stredni chyby v cileni jednotlivyh mericu

% prumerna hodnota
prumer_1 = mean(mereni_1)

% vypocet oprav 
dimenze = size(mereni_1);
N = dimenze(1,1);
S = dimenze(1,2);

v_i = zeros(N,S);

for i = 1:S
    for j = 1:N
        v_i(j,i) = prumer_1(1,i) - mereni_1(j,i);
    end
end
v_i

% stredni chyba v cileni
suma_vv = zeros(1,S);
m_0 = zeros(1,S);

for i = 1:S
    for j = 1:N
        suma_vv(1,i) = suma_vv(1,i) + v_i(j,i)^2;
    end

end

m_0(1,:) = sqrt(suma_vv(1,:)/(N-1))

%......................................................
% dale komparace lati...

% vahy jednotlivych mereni
p_i = zeros(1,S);

for i = 1:S
    p_i(1,i) = 1/m_0(1,i)^2;
end
p_i

% vazene prumery jednotlivych mereni
dimenze2 = size(mereni_2);
N2 = dimenze2(1,1);
S2 = dimenze2(1,2);

prumer_2 = zeros(N2,1);

for i = 1:N2
    suma_i = 0;
        for j = 1:S2
            suma_i = suma_i + p_i(1,j) * mereni_2(i,j);
        end
    prumer_2(i,1) = suma_i/sum(p_i);
end
prumer_2


x = spravna_delka;
plot(x, mereni_2(:,1), 'r', x, mereni_2(:,2), 'm', x, mereni_2(:,3), 'g', x, mereni_2(:,4), 'b', x, prumer_2, '-.k')
l = legend('Setnicka', 'Sprinc', 'Svec', 'Satava', 'Prumerna hodnota',2);



